givpoly1dense.h File Reference

univariate polynomial over T. More...

`#include <iostream>`
`#include "givaro/givdegree.h"`
`#include "givaro/givindeter.h"`
`#include "givaro/givinteger.h"`
`#include "givaro/givrandom.h"`
`#include <vector>`
Include dependency graph for givpoly1dense.h:

## Data Structures

class | Poly1Dom< Domain, Dense >
| Class Poly1Dom. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Typedefs

template<typename T, typename A = std::allocator<T>>
using | givvector = std::vector <T,A>
| givvector

## Detailed Description

univariate polynomial over T.

we assume that T is a ring (0,1,+,*)